MCL_ABORT(2)

NAME
mcl_abort - abort an ongoing MCL (MultiCast Library) session

SYNOPSIS

#include "../src/common/mcl_lib_api.h" int mcl_abort (int id);

DESCRIPTION
Aborts (i.e. closes immediately and non-gracefully) an MCL session. This call returns immediately. This function is typically called when the upper application catches a SIGINT or SIGKILL signal with its signal handler function. Calling mcl_abort() with an identifier that does not refer to an MCL session leads MCL to return immediately.

RETURN VALUE
Returns 0 on success, a negative (< 0) value in case of error.

EXAMPLE
Here is a simple example to close an MCL session as a source.
        int     id;
        if (mcl_abort(id) < 0) {
                printf("ERROR: mcl_abort failed");
                exit(-1);
        }

COPYRIGHTS
Copyright (c) 1999-2003 INRIA - Universite Paris 6 -
All rights reserved
(main author: Vincent Roca - vincent.roca@inrialpes.fr)
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

SEE ALSO
MCL documentation

AUTHORS
Vincent Roca (INRIA Rhone-Alpes, Planete project) $Id: mcl_abort.man.2,v 1.1.1.1 2003/05/12 09:45:26 roca Exp $